/* 
	AJAXy interface functions. Dependencies : jQuery.
*/

//Add the current page to favorites
function addPageToFavorites(){
	var fav_title = prompt("Enter a title for the new favorite :", ws_page_title);
	if (!fav_title) return;
	
	fav_url = ws_current_page; //should be a global var set by the plugin in the page header
	jQuery('#ws_loading_panel').show();
	
	jQuery.ajax({
	   type: "POST",
	   url: "admin-ajax.php",
	   dataType: "text",
	   data: {
			action: "add_dashboard_favorite",
			fav_title: fav_title,
			fav_url: fav_url
		},
	   success: function(data, textStatus){
			//it worked (probably)! 
	     	if (data == 'OK') {
			 	document.location.reload(); //easiest way to refresh the menu
			 	jQuery('#ws_loading_panel').hide();
			} else {
				jQuery('#ws_loading_panel').hide();
				alert(data);
			}
	   },
	   failure: function(XMLHttpRequest, textStatus, errorThrown){
	     //something failed!
	     jQuery('#ws_loading_panel').hide();
	     alert('Oops, a network error occured!');
	   }, 
	   
	 });

	
}

//Remove the current page from favorites
function removePageFromFavorites(){
	fav_url = ws_current_page; //should be a global var set by the plugin in the page header
	jQuery('#ws_loading_panel').show();
	
	jQuery.ajax({
	   type: "POST",
	   url: "admin-ajax.php",
	   dataType: "text",
	   data: {
			action: "remove_dashboard_favorite",
			fav_url: fav_url
		},
		success: function(data, textStatus){
			//it worked (probably)! 
			if (data == 'OK') {
	     	 	document.location.reload(); //easiest way to refresh the menu
	     	 	jQuery('#ws_loading_panel').hide();
			} else {
				jQuery('#ws_loading_panel').hide();
				alert(data);
			}
	   },
	   failure: function(XMLHttpRequest, textStatus, errorThrown){
	   		jQuery('#ws_loading_panel').hide();
			alert('Oops, a network error occured!');
	   }, 
	   
	 });

	
}